# Event Series ## `GET /api/event-series` **ListSeries** **Response `200` — Request fulfilled, document follows** Model: array of {ref}`EventSeriesSummary ` Type: array of {ref}`EventSeriesSummary ` ## `POST /api/event-series` **CreateSeries** **Request body** Model: {ref}`EventSeriesCreate ` | Field | Type | Required | Description | |---|---|---|---| | `kind` | {ref}`EventKind ` | yes | | | `title` | string | yes | | | `location` | string | no | | | `size` | integer \| null | no | | | `ep_override` | integer \| null | no | | | `notes` | string \| null | no | | | `weekdays` | array of integer | yes | | | `interval_weeks` | integer | no | | | `start_time` | string | yes | | | `timezone` | string | yes | | | `duration_minutes` | integer \| null | no | | | `starts_on` | string (date) | yes | | | `until` | string (date) \| null | no | | **Response `201` — Document created, URL follows** Model: {ref}`EventSeriesSummary ` | Field | Type | Required | Description | |---|---|---|---| | `id` | string (uuid) | yes | | | `kind` | {ref}`EventKind ` | yes | | | `title` | string | yes | | | `location` | string | yes | | | `size` | integer \| null | yes | | | `ep` | integer | yes | | | `ep_override` | integer \| null | yes | | | `notes` | string \| null | yes | | | `rule` | {ref}`SeriesRule ` | yes | | | `active` | boolean | yes | | | `next_starts_at` | string (date-time) \| null | yes | | ## `DELETE /api/event-series/{series_id}` **DeleteSeries** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `series_id` | path | string (uuid) | yes | | **Response `204`** — Request fulfilled, nothing follows ## `PATCH /api/event-series/{series_id}` **UpdateSeries** **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `series_id` | path | string (uuid) | yes | | **Request body** Model: {ref}`EventSeriesUpdate ` | Field | Type | Required | Description | |---|---|---|---| | `kind` | {ref}`EventKind ` \| null | no | | | `title` | string \| null | no | | | `location` | string \| null | no | | | `size` | integer \| null | no | | | `ep_override` | integer \| null | no | | | `notes` | string \| null | no | | | `weekdays` | array of integer \| null | no | | | `interval_weeks` | integer \| null | no | | | `start_time` | string \| null | no | | | `timezone` | string \| null | no | | | `duration_minutes` | integer \| null | no | | | `starts_on` | string (date) \| null | no | | | `until` | string (date) \| null | no | | **Response `200` — Request fulfilled, document follows** Model: {ref}`EventSeriesSummary ` | Field | Type | Required | Description | |---|---|---|---| | `id` | string (uuid) | yes | | | `kind` | {ref}`EventKind ` | yes | | | `title` | string | yes | | | `location` | string | yes | | | `size` | integer \| null | yes | | | `ep` | integer | yes | | | `ep_override` | integer \| null | yes | | | `notes` | string \| null | yes | | | `rule` | {ref}`SeriesRule ` | yes | | | `active` | boolean | yes | | | `next_starts_at` | string (date-time) \| null | yes | |